Bug 1003412 - Cinnamon desktop - Failed to Change input method
Summary: Cinnamon desktop - Failed to Change input method
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: im-chooser
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-09-01 23:26 UTC by A S Alam
Modified: 2017-12-30 06:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-02 02:35:51 UTC
Type: Bug


Attachments (Terms of Use)
Screenshot (18.64 KB, image/png)
2013-09-01 23:26 UTC, A S Alam
no flags Details

Description A S Alam 2013-09-01 23:26:18 UTC
Created attachment 792685 [details]
Screenshot

Description of problem:
while Enabling Ibus with im-chooser in Cinnamon Desktop, it showing crashing error message.
---
GDBus.Error:org.gtk.GDBus.UnmappedGError.Quark._imsettings_2derror_2dquark.Code5: Current desktop isn't targeted by IMSettings.

Please check /home/aalam/.cache/imsettings/log for more details
---


Version-Release number of selected component (if applicable):
cinnamon-1.9.2-0.20.git2d1ac4d.fc20.x86_64
ibus-1.5.3-1.fc20.x86_64
im-chooser-1.6.4-2.fc20.x86_64


How reproducible:


Steps to Reproduce:
1. Log in to Cinnamon desktop
2. Use im-chooser to enable Input method 'IBus'
3. Select ibus
4. Check message produced

Actual results:
ibus failed to enabled

Expected results:
it should work

Additional info:
1) I upgraded from Fedora 19 to Fedora 20

2) Log /home/aalam/.cache/imsettings/log 

---
[ 1378076147.681857]: IMSettings-Daemon[4911]: INFO: Starting imsettings-daemon...
[ 1378076147.682409]: IMSettings-Daemon[4911]: INFO:   [HOME=/home/aalam/.config/imsettings]
[ 1378076147.682698]: IMSettings-Daemon[4911]: INFO:   [XINPUTRCDIR=/etc/X11/xinit/]
[ 1378076147.682935]: IMSettings-Daemon[4911]: INFO:   [XINPUTDIR=/etc/X11/xinit/xinput.d/]

[ 1378076147.683171]: IMSettings-Daemon[4911]: INFO:   [MODULEDIR=/usr/lib64/imsettings]

[ 1378076147.683402]: IMSettings-Daemon[4911]: INFO:   [MODULES=gsettings, qt]


[ 1378076147.688695]: IMSettings-Qt backend[4911]: WARNING **: Unable to obtain the DefaultInputMethod: Key file does not have group 'Qt'

[ 1378076147.717047]: IMSettings-Qt backend[4911]: WARNING **: Unable to obtain the DefaultInputMethod: Key file does not have group 'Qt'

[ 1378076147.763503]: IMSettings-Qt backend[4911]: WARNING **: Unable to obtain the DefaultInputMethod: Key file does not have group 'Qt'

[ 1378076147.785706]: IMSettings-Qt backend[4911]: WARNING **: Unable to obtain the DefaultInputMethod: Key file does not have group 'Qt'
imsettings information
==========================
XINPUTRC: /home/aalam/.config/imsettings/xinputrc
	  File: ‘/home/aalam/.config/imsettings/xinputrc’ -> ‘/etc/X11/xinit/xinput.d/ibus.conf’
	  Size: 33        	Blocks: 0          IO Block: 4096   symbolic link
	Device: 803h/2051d	Inode: 3408583     Links: 1
	Access: (0777/lrwxrwxrwx)  Uid: ( 1000/   aalam)   Gid: ( 1000/   aalam)
	Context: unconfined_u:object_r:config_home_t:s0
	Access: 2013-09-01 17:44:05.355457571 -0500
	Modify: 2013-08-18 11:45:55.552064953 -0500
	Change: 2013-08-18 11:45:55.552064953 -0500
	 Birth: -
Is DBus enabled: yes
Is imsettings enabled: yes
Is GTK+ supported: 
[ 1378076147.908926]: IMSettings-Qt backend[4911]: WARNING **: Unable to obtain the DefaultInputMethod: Key file does not have group 'Qt'

[ 1378076147.931150]: IMSettings-Qt backend[4911]: WARNING **: Unable to obtain the DefaultInputMethod: Key file does not have group 'Qt'
yes
Is Qt supported: 
[ 1378076147.963524]: IMSettings-Qt backend[4911]: WARNING **: Unable to obtain the DefaultInputMethod: Key file does not have group 'Qt'

[ 1378076147.986057]: IMSettings-Qt backend[4911]: WARNING **: Unable to obtain the DefaultInputMethod: Key file does not have group 'Qt'
yes
DESKTOP: cinnamon
GUESS_DESKTOP: $GDMSESSION
DISABLE_IMSETTINGS: 
IMSETTINGS_DISABLE_DESKTOP_CHECK: 
DBUS_SESSION_BUS_ADDRESS: unix:abstract=/tmp/dbus-phX8IXOece,guid=831715cb30aa1e83d67a027c5223c5f3
GTK_IM_MODULE: 
QT_IM_MODULE: ibus
XMODIFIERS: @im=ibus
IMSETTINGS_MODULE: IBus
IMSETTINGS_INTEGRATE_DESKTOP: yes


[ 1378076150.254946]: IMSettings-Qt backend[4911]: WARNING **: Unable to obtain the DefaultInputMethod: Key file does not have group 'Qt'
[ 1378076152.050008]: IMSettings-Daemon[4911]: INFO: Attempting to switch IM to IBus [lang=pa_IN.utf8, update=false]
** org.gnome.settings-daemon.plugins.keyboard.active is true. imsettings is going to be disabled.

[ 1378076157.117726]: IMSettings-Daemon[4911]: WARNING **: Current desktop isn't targeted by IMSettings.
[ 1378076157.161819]: IMSettings-Daemon[4911]: INFO: Unloading imesttings module: qt
[ 1378076157.162348]: IMSettings-Daemon[4911]: INFO: Unloading imesttings module: gsettings
[ 1378076157.162712]: IMSettings-Daemon[4911]: INFO: imsettings-daemon is shut down.
[ 1378077301.984146]: IMSettings-Daemon[6447]: INFO: Starting imsettings-daemon...
[ 1378077301.985509]: IMSettings-Daemon[6447]: INFO:   [HOME=/home/aalam/.config/imsettings]
[ 1378077301.985722]: IMSettings-Daemon[6447]: INFO:   [XINPUTRCDIR=/etc/X11/xinit/]
[ 1378077301.985892]: IMSettings-Daemon[6447]: INFO:   [XINPUTDIR=/etc/X11/xinit/xinput.d/]

[ 1378077301.986059]: IMSettings-Daemon[6447]: INFO:   [MODULEDIR=/usr/lib64/imsettings]

[ 1378077301.986226]: IMSettings-Daemon[6447]: INFO:   [MODULES=gsettings, qt]

[ 1378077305.888658]: IMSettings-Daemon[6447]: INFO: Attempting to switch IM to IBus [lang=pa_IN.utf8, update=true]
** org.gnome.settings-daemon.plugins.keyboard.active is true. imsettings is going to be disabled.

[ 1378077306.544504]: IMSettings-Daemon[6447]: WARNING **: Current desktop isn't targeted by IMSettings.

Comment 1 Akira TAGOH 2013-09-02 02:35:51 UTC
That log says it all. this isn't a bug. what you have to take a look is:
** org.gnome.settings-daemon.plugins.keyboard.active is true. imsettings is going to be disabled.

Comment 2 dwjandzzs 2017-12-30 06:48:11 UTC
try 
gsettings set org.gnome.settings-daemon.plugins.keyboard active false


Note You need to log in before you can comment on or make changes to this bug.